Bug 42541 - WebKitTestRunner needs layoutTestController.pathToLocalResource
Summary: WebKitTestRunner needs layoutTestController.pathToLocalResource
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Chang Shu
URL:
Keywords: InRadar
Depends on: 58665
Blocks: 58826 197965
  Show dependency treegraph
 
Reported: 2010-07-18 21:44 PDT by Maciej Stachowiak
Modified: 2019-05-16 15:33 PDT (History)
4 users (show)

See Also:


Attachments
fix patch (8.59 KB, patch)
2011-04-18 07:37 PDT, Chang Shu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Stachowiak 2010-07-18 21:44:05 PDT
WebKitTestRunner needs layoutTestController.pathToLocalResource
Comment 1 Maciej Stachowiak 2010-07-18 21:51:39 PDT
<rdar://problem/8204912>
Comment 2 Chang Shu 2011-04-15 08:45:54 PDT
quite some tests still fail due to console message issue in 58665 even the pathToLocalResource method is fixed.
Comment 3 Chang Shu 2011-04-18 07:37:53 PDT
Created attachment 90032 [details]
fix patch
Comment 4 Eric Seidel (no email) 2011-04-18 09:06:05 PDT
Comment on attachment 90032 [details]
fix patch

View in context: https://bugs.webkit.org/attachment.cgi?id=90032&action=review

OK.

> Tools/WebKitTestRunner/InjectedBundle/mac/LayoutTestControllerMac.mm:61
> +    return JSStringRetain(url); // Do nothing on mac.

That's because mac doesn't disable access to file: urls?

> Tools/WebKitTestRunner/InjectedBundle/win/LayoutTestControllerWin.cpp:64
> +    return JSStringRetain(url); // TODO.

I think we normally use FIXME.
Comment 5 Chang Shu 2011-04-18 09:15:19 PDT
Thanks for the quick review.

> > Tools/WebKitTestRunner/InjectedBundle/mac/LayoutTestControllerMac.mm:61
> > +    return JSStringRetain(url); // Do nothing on mac.
> 
> That's because mac doesn't disable access to file: urls?

This is what DRT does. I guess there's no need to do any transform to native platform on Mac.

> 
> > Tools/WebKitTestRunner/InjectedBundle/win/LayoutTestControllerWin.cpp:64
> > +    return JSStringRetain(url); // TODO.
> 
> I think we normally use FIXME.

Sure. Will fix.
Comment 6 Chang Shu 2011-04-18 09:22:54 PDT
I didn't know it's already cq+. will keep in mind.
> Sure. Will fix.
Comment 7 WebKit Commit Bot 2011-04-18 10:41:19 PDT
Comment on attachment 90032 [details]
fix patch

Clearing flags on attachment: 90032

Committed r84160: <http://trac.webkit.org/changeset/84160>
Comment 8 WebKit Commit Bot 2011-04-18 10:41:23 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 WebKit Commit Bot 2011-04-18 10:53:16 PDT
The commit-queue encountered the following flaky tests while processing attachment 90032 [details]:

java/lc3/JSObject/ToObject-001.html bug 53091 (author: ap@webkit.org)
http/tests/xmlhttprequest/re-login.html bug 51987 (author: ap@webkit.org)
The commit-queue is continuing to process your patch.